Subject: Re: [ANNOUNCE] GIT 1.5.4

From: Theodore Tso <[email-masked]>
Date: Sun, 3 Feb 2008 14:27:58 -0500

On Sun, Feb 03, 2008 at 04:08:55PM +0100, Matthieu Moy wrote:
> Debian's popularity contest gives an idea too:
> 
> #rank name                            inst  vote   old recent no-files (maintainer)
> 2423  git-core                        3720  1858   992   870     0 (Gerrit Pape)                   
> 3480  mercurial                       1778   410   914   454     0 (Vincent Danjean)               
> 4232  bzr                             1198   278   372   548     0 (Debian Bazaar Maintainers)     

That's very interesting.  When I did a count a month or so ago of the
number of projects using git, mercurial and bzr as self reported on
each of the project's wiki's, what I found then was:

git 115  (source: http://git.or.cz/gitwiki/GitProjects)
hg   89  (source: http://www.selenic.com/mercurial/wiki/index.cgi/ProjectsUsingMercurial)
bzr  48  (source: http://bazaar-vcs.org/WhoUsesBzr)

Of course, there's no guarantee that each of the Wiki maintainers were
as diligent about putting references to all of the projects, but to
the extent that there are people in each user community who are
interested in advocacy of their favoriate SCM, I would have expected
at least some baseline amount of effort in keeping their wiki's
uptodate.  So it's not interesting as another data point...

	      	       		      	      - Ted